When CodeEditor selection drops to zero - it should refresh ide menu bar

02/01/2015 01:53 PM - Zbigniew Rebacz

Status: Approved Start date: 02/01/2015

Priority: High Due date:

Assignee: Zbigniew Rebacz % Done: 100%

Category: CtrlLib Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Bar isn't refresh when selection drops to zero (copy and cut option should be diabsle)

History

#1 - 02/01/2015 01:53 PM - Zbigniew Rebacz

Sorry Mirek it assigns you by default ;)

#2 - 02/01/2015 01:58 PM - Zbigniew Rebacz

For person how is using menu in the row this bug doesn’t occur!!!

#3 - 02/16/2015 11:41 PM - Zbigniew Rebacz

- Category changed from IDE to CtrlLib

It is deffinitly LineEditProblem. "anchor" is setting in a wrong way.

#4 - 02/16/2015 11:41 PM - Zbigniew Rebacz

- Priority changed from Low to Normal

Priority "Normal" due to CtrlLib problem.

#5 - 02/16/2015 11:50 PM - Zbigniew Rebacz

- Status changed from New to Patch ready

- % Done changed from 0 to 80

Catch it!!!

We need to change in function "IsAnySelection" (CtrlLib/TextEdit.h - 152 line) that cursor is different from anchor. Code:

bool    IsAnySelection() const            { return anchor >= 0 && anchor != cursor; }

Should we change two other methods, too?
bool    IsSelection() const               { return IsAnySelection() && !rectsel; }

bool    IsRectSelection() const           { return IsAnySelection() && rectsel; }

#6 - 02/16/2015 11:52 PM - Zbigniew Rebacz

- Priority changed from Normal to High

#7 - 02/17/2015 12:16 PM - Zbigniew Rebacz

- File TextEdit.diff added

#8 - 02/23/2015 04:30 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#9 - 02/23/2015 07:29 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

- % Done changed from 80 to 100

Files

TextEdit.diff 956 Bytes 02/17/2015 Zbigniew Rebacz
